]> rtime.felk.cvut.cz Git - hercules2020/jailhouse-build.git/blob - build/rootfs-overlay/etc/init.d/S20jailhouse.sh
d3f988cb7237f51601a9750cb5b46b3b228c68ec
[hercules2020/jailhouse-build.git] / build / rootfs-overlay / etc / init.d / S20jailhouse.sh
1 if ! grep -q -w jailhouse /proc/cmdline; then
2     echo "Jailhouse not enabled"
3     return
4 fi
5
6 case "$1" in
7     start)
8         printf "Starting Jailhouse: "
9         modprobe jailhouse
10         taskset 1 jailhouse enable /jailhouse/configs/jetson-tx2.cell
11         [ $? = 0 ] && echo "OK" || echo "FAIL"
12         ;;
13     stop)
14         printf "Stopping Jailhouse: "
15         jailhouse disable /jailhouse/configs/jetson-tx2.cell
16         rmmod jailhouse
17         [ $? = 0 ] && echo "OK" || echo "FAIL"
18         ;;
19 esac